Download it now!
Bug 90478 - Text in alien format warning is incorrect if the default format was changed
Summary: Text in alien format warning is incorrect if the default format was changed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: Other All
: medium normal
Assignee: Jacobo Aragunde Pérez
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-06 11:56 UTC by Jacobo Aragunde Pérez
Modified: 2015-04-14 01:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the solution proposed in gerrit#15170 (30.49 KB, image/png)
2015-04-06 14:27 UTC, Jacobo Aragunde Pérez
Details
Screenshot of the new solution (22.37 KB, image/png)
2015-04-10 14:52 UTC, Jacobo Aragunde Pérez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jacobo Aragunde Pérez 2015-04-06 11:56:14 UTC
Steps to reproduce:

0. Open a new text document
1. Go to menu: Tools > Options > Load/Save (General)-
2. Change "Always save as" option from "ODF Text Document" to "Microsoft Word 2007-2013 XML".
2.1 Ensure that "warn when not saving in ODF or default format" is enabled.
3. Save document as "somename.doc"

Expectation:

A warning telling me I am not using the default format appears.

Reality:

A warning dialog appears, but it tells me I am not using the ODF format. If I press on the button named "Use ODF format" it will save as .docx - the default format I had selected.
Comment 1 A (Andy) 2015-04-06 12:28:00 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 2 Jacobo Aragunde Pérez 2015-04-06 14:26:33 UTC
Sent patch for review at https://gerrit.libreoffice.org/15170

The proposed solution is replacing the text in the dialog to match the file type that was selected in the options.

Thanks to Juan Suárez for detecting the bug and providing the fix :)
Comment 3 Jacobo Aragunde Pérez 2015-04-06 14:27:51 UTC
Created attachment 114649 [details]
Screenshot of the solution proposed in gerrit#15170

Attaching screenshot of the solution proposed in gerrit#15170.
Comment 4 Jacobo Aragunde Pérez 2015-04-10 14:52:31 UTC
As pointed in https://gerrit.libreoffice.org/15170, we will do some changes to the patch:

* The text "Use the default ODF file format to be sure..." will be kept untouched.

* That text will only appear in case the default format is ODF. If the user has selected OOXML as default, the dialog would be like in the attachment below.
Comment 5 Jacobo Aragunde Pérez 2015-04-10 14:52:51 UTC
Created attachment 114724 [details]
Screenshot of the new solution
Comment 6 Jacobo Aragunde Pérez 2015-04-10 17:05:14 UTC
https://gerrit.libreoffice.org/15170 was updated, and a second patch to hide the ODF explanation was pushed to https://gerrit.libreoffice.org/15234
Comment 7 Commit Notification 2015-04-13 09:08:56 UTC
Juan A. Suarez Romero committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e904e6ad4876c095ab5ee7bd40540635c520c9de

tdf#90478: Show the right default format when saving

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-04-13 09:09:00 UTC
Jacobo Aragunde Pérez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c308ad7696f3873c0747afef1ea143047e4eafb

tdf#90478: Hide explanation on ODF when default format is alien

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.